# Generated from voxpupuli-puppet-lint-plugins-2.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name voxpupuli-puppet-lint-plugins

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 1%{?dist}
Summary: Helper Gem that pulls in all the puppet-lint plugins that Vox Pupuli uses
License: AGPL-3
URL: https://github.com/voxpupuli/voxpupuli-puppet-lint-plugins
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4.0
BuildArch: noarch

%description
A package that depends on all the puppet-lint-* gems Vox Pupuli modules need
and puppet-lint itself.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Thu Sep 16 2021 mockbuilder - 2.0.0-1
- Initial package
